DISK_GET_PART(9)

NAME
disk_get_part - get partition

SYNOPSIS

struct hd_struct * disk_get_part(struct gendisk * disk, int partno);

ARGUMENTS

disk
    disk to look partition from

partno
    partition number

DESCRIPTION

Look for partition partno from disk. If found, increment reference count and return it.

CONTEXT

Don't care.

RETURNS

Pointer to the found partition on success, NULL if not found.

COPYRIGHT